import { TagService } from '@/modules/tag/tag-service'
import RelationToOneField from '@/shared/fields/relation-to-one-field'
import RelationToManyField from '@/shared/fields/relation-to-many-field'
import Permissions from '@/security/permissions'

export class TagField {
  static relationToOne(name, label, options) {
    return new RelationToOneField(
      name,
      label,
      '/tag',
      Permissions.values.tagRead,
      TagService.listAutocomplete,
      (record) => {
        if (!record) {
          return null
        }

        return {
          id: record.id || record._id,
          label: record.name
        }
      },
      options
    )
  }

  static relationToMany(name, label, options) {
    return new RelationToManyField(
      name,
      label,
      '/tag',
      Permissions.values.tagRead,
      TagService.listAutocomplete,
      (record) => {
        if (!record) {
          return null
        }

        return {
          id: record.id || record._id,
          label: record.name
        }
      },
      options
    )
  }
}
